# OE: conditional switches
#(ie. use with rpm --rebuild):
#	--with diet	Compile chkrootkit against dietlibc

%define build_diet 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_diet: %{expand: %%define build_diet 1}}

Summary:	Check rootkits
Name:		chkrootkit
Version:	0.50
Release:	%mkrel 6
Source0:	ftp://ftp.pangeia.com.br/pub/seg/pac/%{name}-%{version}.tar.gz
Patch0:		chkrootkit_fix_apache_false_positive.diff
Patch1:		chkrootkit-0.49-bug57979.diff
Patch2:		chkrootkit-0.50-suckit-false-positive.diff
URL:		http://www.chkrootkit.org/
License:	BSD
Group:		Monitoring
Requires:	binutils, coreutils, findutils, gawk, grep, net-tools, procps, sed
BuildRequires:  glibc-static-devel

%if %{build_diet}
BuildRequires:	dietlibc-devel >= 0.32
%endif

%description
Chkrootkit is a tool to locally check for signs of a rootkit.

%prep

%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1

# instead of a static patch
chmod 644 *
for i in `ls -1 *.c|sed "s/\.c//"`; do
    perl -pi -e "s|\./${i}|%{_libdir}/%{name}/${i}|g" %{name}
done

%build

%if %{build_diet}
# OE: use the power of dietlibc
make CC="diet gcc" CFLAGS="-DHAVE_LASTLOG_H -DLASTLOG_FILENAME='\"/var/log/lastlog\"' -DWTMP_FILENAME='\"/var/log/wtmp\"' -Os  -s -static" LDFLAGS=-static
%else
make CFLAGS="-DHAVE_LASTLOG_H -DLASTLOG_FILENAME='\"/var/log/lastlog\"' -DWTMP_FILENAME='\"/var/log/wtmp\"'" LDFLAGS=-static
%endif

%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_libdir}/%{name}

install chkrootkit %{buildroot}%{_sbindir}/
install check_wtmpx chkdirs chklastlog chkproc chkutmp chkwtmp ifpromisc strings-static %{buildroot}%{_libdir}/%{name}/

%files
%doc ACKNOWLEDGMENTS README* COPYRIGHT
%{_sbindir}/*
%{_libdir}/%{name}


%changelog
* Thu Jan 08 2015 luigiwalser <luigiwalser> 0.50-6.mga5
+ Revision: 809276
- re-add patch to remove false positive on suckit (upstream fix failed, mga#14982)

* Wed Oct 15 2014 umeabot <umeabot> 0.50-5.mga5
+ Revision: 740173
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50-4.mga5
+ Revision: 678380
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 0.50-3.mga5
+ Revision: 673882
- remove mistakenly added requires on hostname (not used by this package)

* Tue Sep 09 2014 spuhler <spuhler> 0.50-2.mga5
+ Revision: 673875
- added Requires: hostname
  * we moved the files from net-tools

* Thu Jun 12 2014 luigiwalser <luigiwalser> 0.50-1.mga5
+ Revision: 635876
- 0.50
- remove upstreamed CVE patch
- remove suckit false positive patch (fixed upstream)

* Wed Jun 04 2014 luigiwalser <luigiwalser> 0.49-9.mga5
+ Revision: 632846
- fix local privilege escalation issue in slapper worm checker (CVE-2014-0476)

* Sat Oct 19 2013 umeabot <umeabot> 0.49-8.mga4
+ Revision: 534394
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 luigiwalser <luigiwalser> 0.49-7.mga4
+ Revision: 477796
- remove false positive for suckit rootkit (mga#6699)

* Fri Jan 11 2013 umeabot <umeabot> 0.49-6.mga3
+ Revision: 347678
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 10 2011 ennael <ennael> 0.49-5.mga1
+ Revision: 82892
- clean spec file
- imported package chkrootkit

